<profile version="1.0">
  <option name="myName" value="Kohana" />
  <inspection_tool class="ClassOverridesFieldOfSuperClassInspection" enabled="false" level="WARNING" enabled_by_default="false" />
  <inspection_tool class="ES6ConvertVarToLetConst" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
  <inspection_tool class="ForgottenDebugOutputInspection" enabled="true" level="ERROR" enabled_by_default="true">
    <option name="configuration">
      <list>
        <option value="\Codeception\Util\Debug::debug" />
        <option value="\Codeception\Util\Debug::pause" />
        <option value="\Illuminate\Support\Debug\Dumper::dump" />
        <option value="\Symfony\Component\Debug\Debug::enable" />
        <option value="\Symfony\Component\Debug\DebugClassLoader::enable" />
        <option value="\Symfony\Component\Debug\ErrorHandler::register" />
        <option value="\Symfony\Component\Debug\ExceptionHandler::register" />
        <option value="\Zend\Debug\Debug::dump" />
        <option value="\Zend\Di\Display\Console::export" />
        <option value="dd" />
        <option value="debug_print_backtrace" />
        <option value="debug_zval_dump" />
        <option value="error_log" />
        <option value="phpinfo" />
        <option value="print_r" />
        <option value="var_dump" />
        <option value="var_export" />
      </list>
    </option>
    <option name="migratedIntoUserSpace" value="true" />
  </inspection_tool>
  <inspection_tool class="FunctionNamingConventionJS" enabled="true" level="WEAK WARNING" enabled_by_default="true">
    <option name="m_regex" value="[a-z][A-Za-z]*" />
    <option name="m_minLength" value="4" />
    <option name="m_maxLength" value="32" />
  </inspection_tool>
  <inspection_tool class="HtmlFormInputWithoutLabel" enabled="false" level="WARNING" enabled_by_default="false" />
  <inspection_tool class="HtmlUnknownTag" enabled="true" level="WARNING" enabled_by_default="true">
    <option name="myValues">
      <value>
        <list size="9">
          <item index="0" class="java.lang.String" itemvalue="nobr" />
          <item index="1" class="java.lang.String" itemvalue="noembed" />
          <item index="2" class="java.lang.String" itemvalue="comment" />
          <item index="3" class="java.lang.String" itemvalue="noscript" />
          <item index="4" class="java.lang.String" itemvalue="embed" />
          <item index="5" class="java.lang.String" itemvalue="script" />
          <item index="6" class="java.lang.String" itemvalue="factory" />
          <item index="7" class="java.lang.String" itemvalue="router-view" />
          <item index="8" class="java.lang.String" itemvalue="router-link" />
        </list>
      </value>
    </option>
    <option name="myCustomValuesEnabled" value="true" />
  </inspection_tool>
  <inspection_tool class="InvertedIfElseConstructsInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
  <inspection_tool class="IsEmptyFunctionUsageInspection" enabled="false" level="WARNING" enabled_by_default="false" />
  <inspection_tool class="IsNullFunctionUsageInspection" enabled="false" level="WARNING" enabled_by_default="false" />
  <inspection_tool class="JSClassNamingConvention" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
  <inspection_tool class="JSNonASCIINames" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
  <inspection_tool class="LocalVariableNamingConventionJS" enabled="false" level="WEAK WARNING" enabled_by_default="false">
    <option name="m_regex" value="[a-z][A-Za-z]*" />
    <option name="m_minLength" value="1" />
    <option name="m_maxLength" value="32" />
  </inspection_tool>
  <inspection_tool class="LongInheritanceChainInspection" enabled="false" level="WARNING" enabled_by_default="false" />
  <inspection_tool class="LossyEncoding" enabled="false" level="WARNING" enabled_by_default="false" />
  <inspection_tool class="LowerAccessLevelInspection" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
  <inspection_tool class="MessDetectorValidationInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
  <inspection_tool class="MoreThanThreeArgumentsInspection" enabled="true" level="WARNING" enabled_by_default="true">
    <option name="limit" value="5" />
  </inspection_tool>
  <inspection_tool class="NestedTernaryOperatorInspection" enabled="false" level="WARNING" enabled_by_default="false" />
  <inspection_tool class="NotOptimalIfConditionsInspection" enabled="false" level="WARNING" enabled_by_default="false" />
  <inspection_tool class="ParameterNamingConventionJS" enabled="true" level="WEAK WARNING" enabled_by_default="true">
    <option name="m_regex" value="[a-z][A-Za-z]*" />
    <option name="m_minLength" value="1" />
    <option name="m_maxLength" value="32" />
  </inspection_tool>
  <inspection_tool class="PhpAssignmentInConditionInspection" enabled="true" level="WARNING" enabled_by_default="true" />
  <inspection_tool class="PhpCSFixerValidationInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
  <inspection_tool class="PhpCSValidationInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true">
    <option name="EXTENSIONS" value="php,js,css,inc" />
  </inspection_tool>
  <inspection_tool class="PhpClassNamingConventionInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true">
    <option name="m_regex" value="[A-Z][A-Za-z\d_]*" />
    <option name="m_minLength" value="1" />
    <option name="m_maxLength" value="64" />
  </inspection_tool>
  <inspection_tool class="PhpComposerExtensionStubsInspection" enabled="false" level="WARNING" enabled_by_default="false" />
  <inspection_tool class="PhpConstantNamingConventionInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true">
    <option name="m_minLength" value="1" />
    <option name="m_maxLength" value="64" />
  </inspection_tool>
  <inspection_tool class="PhpDivisionByZeroInspection" enabled="true" level="WARNING" enabled_by_default="true" />
  <inspection_tool class="PhpDocMissingThrowsInspection" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
  <inspection_tool class="PhpDynamicAsStaticMethodCallInspection" enabled="false" level="WARNING" enabled_by_default="false" />
  <inspection_tool class="PhpFullyQualifiedNameUsageInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true">
    <option name="IGNORE_GLOBAL_NAMESPACE" value="true" />
  </inspection_tool>
  <inspection_tool class="PhpFunctionNamingConventionInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true">
    <option name="m_minLength" value="1" />
    <option name="m_maxLength" value="64" />
  </inspection_tool>
  <inspection_tool class="PhpIllegalPsrClassPathInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
  <inspection_tool class="PhpIncludeInspection" enabled="false" level="WARNING" enabled_by_default="false" />
  <inspection_tool class="PhpMethodNamingConventionInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true">
    <option name="m_regex" value="[a-z][A-Za-z\d_]*" />
    <option name="m_minLength" value="1" />
    <option name="m_maxLength" value="64" />
  </inspection_tool>
  <inspection_tool class="PhpMethodOrClassCallIsNotCaseSensitiveInspection" enabled="true" level="WARNING" enabled_by_default="true" />
  <inspection_tool class="PhpMissingDocCommentInspection" enabled="false" level="WARNING" enabled_by_default="false">
    <option name="CHECK_CONSTANT" value="true" />
    <option name="CHECK_FIELD" value="true" />
    <option name="CHECK_CLASS_CONSTANT" value="true" />
    <option name="SKIP_EMPTY_FUNCTION" value="false" />
    <option name="SKIP_EMPTY_METHOD" value="false" />
  </inspection_tool>
  <inspection_tool class="PhpMultipleClassesDeclarationsInOneFile" enabled="true" level="WARNING" enabled_by_default="true" />
  <inspection_tool class="PhpNonCanonicalElementsOrderInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
  <inspection_tool class="PhpOptionalBeforeRequiredParametersInspection" enabled="false" level="WARNING" enabled_by_default="false" />
  <inspection_tool class="PhpPropertyNamingConventionInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true">
    <option name="m_regex" value="[a-z_][A-Za-z\d_]*" />
    <option name="m_minLength" value="1" />
    <option name="m_maxLength" value="64" />
  </inspection_tool>
  <inspection_tool class="PhpShortOpenTagInspection" enabled="true" level="WARNING" enabled_by_default="true" />
  <inspection_tool class="PhpTooManyParametersInspection" enabled="true" level="WARNING" enabled_by_default="true" />
  <inspection_tool class="PhpTraditionalSyntaxArrayLiteralInspection" enabled="true" level="WARNING" enabled_by_default="true" />
  <inspection_tool class="PhpVariableNamingConventionInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true">
    <option name="m_regex" value="[a-z][A-Za-z\d_]*" />
    <option name="m_minLength" value="1" />
    <option name="m_maxLength" value="64" />
  </inspection_tool>
  <inspection_tool class="PhpVariableVariableInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
  <inspection_tool class="PropertyCanBeStaticInspection" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
  <inspection_tool class="RequiredAttributes" enabled="true" level="WARNING" enabled_by_default="true">
    <option name="myAdditionalRequiredHtmlAttributes" value="src" />
  </inspection_tool>
  <inspection_tool class="ReturnFalseInspection" enabled="false" level="WARNING" enabled_by_default="false" />
  <inspection_tool class="SecurityAdvisoriesInspection" enabled="true" level="WARNING" enabled_by_default="true">
    <option name="optionConfiguration">
      <list>
        <option value="behat/behat" />
        <option value="brianium/paratest" />
        <option value="codeception/codeception" />
        <option value="codedungeon/phpunit-result-printer" />
        <option value="composer/composer" />
        <option value="filp/whoops" />
        <option value="friendsofphp/php-cs-fixer" />
        <option value="humbug/humbug" />
        <option value="infection/infection" />
        <option value="jakub-onderka/php-parallel-lint" />
        <option value="johnkary/phpunit-speedtrap" />
        <option value="mikey179/vfsStream" />
        <option value="mockery/mockery" />
        <option value="mybuilder/phpunit-accelerator" />
        <option value="orchestra/testbench" />
        <option value="pdepend/pdepend" />
        <option value="phan/phan" />
        <option value="phing/phing" />
        <option value="phpmd/phpmd" />
        <option value="phpro/grumphp" />
        <option value="phpspec/phpspec" />
        <option value="phpspec/prophecy" />
        <option value="phpstan/phpstan" />
        <option value="phpunit/dbunit" />
        <option value="phpunit/phpcov" />
        <option value="phpunit/phpunit" />
        <option value="phpunit/phpunit-selenium" />
        <option value="povils/phpmnd" />
        <option value="roave/security-advisories" />
        <option value="satooshi/php-coveralls" />
        <option value="sebastian/phpcpd" />
        <option value="slevomat/coding-standard" />
        <option value="spatie/phpunit-watcher" />
        <option value="squizlabs/php_codesniffer" />
        <option value="sstalle/php7cc" />
        <option value="symfony/debug" />
        <option value="symfony/maker-bundle" />
        <option value="symfony/phpunit-bridge" />
        <option value="symfony/var-dumper" />
        <option value="vimeo/psalm" />
        <option value="wimg/php-compatibility" />
        <option value="yiisoft/yii2-debug" />
        <option value="yiisoft/yii2-gii" />
        <option value="zendframework/zend-debug" />
        <option value="zendframework/zend-test" />
      </list>
    </option>
  </inspection_tool>
  <inspection_tool class="UnSafeIsSetOverArrayInspection" enabled="false" level="WARNING" enabled_by_default="false" />
</profile>